require("../../../../../../_virtual/_rolldown/runtime.js");
const require_index = require("../../utils/index.js");
let _pisell_utils = require("@pisell/utils");
//#region src/components/table/Table/fields/select/filterUtil/index.ts
function filterUtil_default({ value, key, item }) {
	if (!value || Array.isArray(value) && value.length === 0) return true;
	const dataValue = require_index.getValueByKeys(item, key);
	if ((0, _pisell_utils.isArr)(value)) return value.includes(dataValue);
	if ((0, _pisell_utils.isArr)(dataValue)) return dataValue.includes(value);
	return value === dataValue;
}
//#endregion
exports.default = filterUtil_default;
